library aursir_polymer.interface;

import 'package:polymer/polymer.dart';
import 'package:aursir4dart/interface.dart';
import 'package:aursir4dart/connection_web.dart';

@CustomTag('aursir-polymer-interface')
class AursirInterfaceElement extends PolymerElement {

  @published AurSirInterface interface;

    AursirInterfaceElement.created(): super.created() {
      AurSirInterface.create(new AurSirConnectionWeb()).then((AurSirInterface iface) {
        interface = iface;
        fire("docked");
      });
    }
}

